## ros-kinetic-turtlebot3 1.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3)
find_package(catkin REQUIRED)
catkin_metapackage()
