=== debian/changelog ===
ros-kinetic-turtlebot3 (1.2.5-1xenial) xenial; urgency=high

  * Python 2/3 compatibility fix
  * Rectify IMU update rate to 0 on Gazebo
  * Contributors: Sean Yen, PinkDraconian

 -- Will Son <willson@robotis.com>  Tue, 29 Dec 2020 15:00:00 -0000

ros-kinetic-turtlebot3 (1.2.4-1xenial) xenial; urgency=high

  * Package info updated
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-kinetic-turtlebot3 (1.2.3-1xenial) xenial; urgency=high

  * Updated inertial data in turtlebot3_waffle_for_open_manipulator.urdf.xacro, turtlebot3_waffle_pi_for_open_manipulator.urdf.xacro
  * Added turtlebot3_manipulation_slam.launch for TurtleBot3 SLAM with OpenMANIPULATOR
  * Contributors: Ryan Shim, Will Son

 -- Will Son <willson@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

ros-kinetic-turtlebot3 (1.2.2-1xenial) xenial; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-kinetic-turtlebot3 (1.2.1-1xenial) xenial; urgency=high

  * Fixed typo #436 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/436>
  * Fixed ROS_ASSERT bug #416 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/416>
  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Added turtlebot3_remote.launch to turtlebot3_model.launch #389 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/389>
  * Contributors: Jonathan Hechtbauer, Pallav Bhalla, ant, Ryan Shim, Kayman, Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-kinetic-turtlebot3 (1.2.0-1xenial) xenial; urgency=high

  * changed math.ceil() operation #373 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/373>
  * fixed TypeError integers
  * fixed read of scanned samples when there isn't 360
  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * added windows port #358 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/358>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Steven Macenski, Eduardo Avelar, Sean Yen, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-kinetic-turtlebot3 (1.1.0-1xenial) xenial; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * added odometrySource
  * modified camera topic name
  * modified base_scan update_rate and add param on diff_drive #258
  * modified the laser scanner update_rate in the gazebo xacro files #258
  * modified origin of collision in Waffle URDF
  * updated turtlebot3_diagnostic node
  * updated firmware version from 1.2.0 to 1.2.2
  * updated get firmware version
  * updated version check function
  * updated warn msg for version check
  * deleted unused get_scan function #227
  * Contributors: Darby Lim, Gilbert, Eduardo Avelar, shtseng, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-kinetic-turtlebot3 (1.0.0-1xenial) xenial; urgency=high

  * added cartographer
  * added hector mapping
  * added karto SLAM
  * added frontier_exploration
  * added launch files to run various SLAMs
  * added robot model for OpenManipulator and turtlebot3_autorace
  * added exec python nodes like marker_server in catkin_install_python
  * added frameName for imu on gazebo (however, there is no effect.)
  * added variable to check version only once (turtlebot3_bringup)
  * modified global names #211 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/211> from FurqanHabibi/fix_global_topic_name
  * modified gmapping parameters
  * modified navigation parameters
  * modified version check and firmware version (turtlebot3_bringup)
  * modified robot names
  * modified range of lidar, lidar position, scan param
  * modified camera position and fixed slip bug
  * modified waffle_pi stl files
  * modified initial value, profile function, limit velocity msg (teleop)
  * merged pull request #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #148 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/148> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146> #145 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/145>
  * Contributors: Darby Lim, Leon Jung, Gilbert, KurtE, ncnynl, FurqanHabibi, skasperski, ihadzic, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-kinetic-turtlebot3 (0.2.1-1xenial) xenial; urgency=high

  * added install directory
  * refactoring for release
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3 (0.2.0-1xenial) xenial; urgency=high

  * added turtlebot3_rpicamera.launch for raspberry pi camera
  * added waffle pi model (urdf and gazebo)
  * added verion check function
  * added diagnostics node
  * added scripts for reload rules
  * added example package
  * modified firmware version
  * modified param config
  * modified topic of gazebo plugin
  * modified r200 tf tree
  * modified gazebo imu link
  * removed the large bag file and added download command from other site
  * refactoring for release
  * Contributors: Darby Lim, Gilbert, Leon Jung, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-kinetic-turtlebot3 (0.1.6-1xenial) xenial; urgency=high

  * fixed typo
  * fixed xacro.py deprecation
  * modified file location
  * updated nav param
  * updated SLAM param
  * updated model.launch
  * updated IMU link
  * updated gazebo config

